Bug 205855 - ICH7R identified as ICH9R, doesn't work in RAID mode
Summary: ICH7R identified as ICH9R, doesn't work in RAID mode
Status: Closed Not A Bug
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 10.2-STABLE
Hardware: amd64 Any
: --- Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2016-01-03 22:07 UTC by Arcadiy Ivanov
Modified: 2016-01-08 09:51 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arcadiy Ivanov 2016-01-03 22:07:11 UTC
https://twitter.com/arcivanov/status/681960018313347077

Upgraded from 10.1-STABLE to 10.2-STABLE
Boot failed, no GEOM device found.
Boot log showed ICH7R controller as "<mass storage, RAID>" and "(no driver attached)"

Switching ICH7 OROM from RAID to IDE modes allowed GEOM RAID mount and booting.

The machine is Dell Vostro 200.

root@fw1:/home/admin # pciconf -lv
hostb0@pci0:0:0:0:      class=0x060000 card=0x02381028 chip=0x29c08086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82G33/G31/P35/P31 Express DRAM Controller'
    class      = bridge
    subclass   = HOST-PCI
pcib1@pci0:0:1:0:       class=0x060400 card=0x02381028 chip=0x29c18086 rev=0x02 hdr=0x01
    vendor     = 'Intel Corporation'
    device     = '82G33/G31/P35/P31 Express PCI Express Root Port'
    class      = bridge
    subclass   = PCI-PCI
vgapci0@pci0:0:2:0:     class=0x030000 card=0x02381028 chip=0x29c28086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82G33/G31 Express Integrated Graphics Controller'
    class      = display
    subclass   = VGA
em2@pci0:0:25:0:        class=0x020000 card=0x02381028 chip=0x10c08086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82562V-2 10/100 Network Connection'
    class      = network
    subclass   = ethernet
uhci0@pci0:0:26:0:      class=0x0c0300 card=0x02381028 chip=0x29378086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82801I (ICH9 Family) USB UHCI Controller'
    class      = serial bus
    subclass   = USB
uhci1@pci0:0:26:1:      class=0x0c0300 card=0x02381028 chip=0x29388086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82801I (ICH9 Family) USB UHCI Controller'
    class      = serial bus
    subclass   = USB
uhci2@pci0:0:26:2:      class=0x0c0300 card=0x02381028 chip=0x29398086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82801I (ICH9 Family) USB UHCI Controller'
    class      = serial bus
    subclass   = USB
ehci0@pci0:0:26:7:      class=0x0c0320 card=0x02381028 chip=0x293c8086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82801I (ICH9 Family) USB2 EHCI Controller'
    class      = serial bus
    subclass   = USB
uhci3@pci0:0:29:0:      class=0x0c0300 card=0x02381028 chip=0x29348086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82801I (ICH9 Family) USB UHCI Controller'
    class      = serial bus
    subclass   = USB
uhci4@pci0:0:29:1:      class=0x0c0300 card=0x02381028 chip=0x29358086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82801I (ICH9 Family) USB UHCI Controller'
    class      = serial bus
    subclass   = USB
uhci5@pci0:0:29:2:      class=0x0c0300 card=0x02381028 chip=0x29368086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82801I (ICH9 Family) USB UHCI Controller'
    class      = serial bus
    subclass   = USB
ehci1@pci0:0:29:7:      class=0x0c0320 card=0x02381028 chip=0x293a8086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82801I (ICH9 Family) USB2 EHCI Controller'
    class      = serial bus
    subclass   = USB
pcib2@pci0:0:30:0:      class=0x060401 card=0x02381028 chip=0x244e8086 rev=0x92 hdr=0x01
    vendor     = 'Intel Corporation'
    device     = '82801 PCI Bridge'
    class      = bridge
    subclass   = PCI-PCI
isab0@pci0:0:31:0:      class=0x060100 card=0x02381028 chip=0x29168086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82801IR (ICH9R) LPC Interface Controller'
    class      = bridge
    subclass   = PCI-ISA
atapci0@pci0:0:31:2:    class=0x01018f card=0x02381028 chip=0x29208086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82801IR/IO/IH (ICH9R/DO/DH) 4 port SATA Controller [IDE mode]'
    class      = mass storage
    subclass   = ATA
ichsmb0@pci0:0:31:3:    class=0x0c0500 card=0x02381028 chip=0x29308086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82801I (ICH9 Family) SMBus Controller'
    class      = serial bus
    subclass   = SMBus
atapci1@pci0:0:31:5:    class=0x010185 card=0x02381028 chip=0x29268086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82801I (ICH9 Family) 2 port SATA Controller [IDE mode]'
    class      = mass storage
    subclass   = ATA
em0@pci0:1:0:0: class=0x020000 card=0x115e8086 chip=0x105e8086 rev=0x06 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82571EB Gigabit Ethernet Controller'
    class      = network
    subclass   = ethernet
em1@pci0:1:0:1: class=0x020000 card=0x115e8086 chip=0x105e8086 rev=0x06 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = '82571EB Gigabit Ethernet Controller'
    class      = network
    subclass   = ethernet


root@fw1:/home/admin # less /var/run/dmesg.boot
Copyright (c) 1992-2015 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 10.2-STABLE #0 r292881: Tue Dec 29 14:48:08 EST 2015
    admin@fw1.home.ivanovy.net:/usr/obj/usr/src/sys/FIREWALL amd64
FreeBSD clang version 3.4.1 (tags/RELEASE_34/dot1-final 208032) 20140512
CPU: Intel(R) Core(TM)2 Duo CPU     E7200  @ 2.53GHz (2527.05-MHz K8-class CPU)
  Origin="GenuineIntel"  Id=0x10676  Family=0x6  Model=0x17  Stepping=6
  Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=0x8e39d<SSE3,DTES64,MON,DS_CPL,EST,TM2,SSSE3,CX16,xTPR,PDCM,SSE4.1>
  AMD Features=0x20100800<SYSCALL,NX,LM>
  AMD Features2=0x1<LAHF>
  TSC: P-state invariant, performance statistics
real memory  = 1073741824 (1024 MB)
avail memory = 1021100032 (973 MB)
Event timer "LAPIC" quality 400
ACPI APIC Table: <DELL   FX09   >
FreeBSD/SMP: Multiprocessor System Detected: 2 CPUs
FreeBSD/SMP: 1 package(s) x 2 core(s)
 cpu0 (BSP): APIC ID:  0
 cpu1 (AP): APIC ID:  1
random device not loaded; using insecure entropy
ACPI BIOS Warning (bug): 32/64X length mismatch in FADT/Pm1aEventBlock: 32/8 (20150515/tbfadt-644)
ACPI BIOS Warning (bug): 32/64X length mismatch in FADT/Pm1aControlBlock: 16/8 (20150515/tbfadt-644)
ACPI BIOS Warning (bug): 32/64X length mismatch in FADT/PmTimerBlock: 32/8 (20150515/tbfadt-644)
ACPI BIOS Warning (bug): 32/64X length mismatch in FADT/Gpe0Block: 128/8 (20150515/tbfadt-644)
ACPI BIOS Warning (bug): Invalid length for FADT/Pm1aEventBlock: 8, using default 32 (20150515/tbfadt-725)
ACPI BIOS Warning (bug): Invalid length for FADT/Pm1aControlBlock: 8, using default 16 (20150515/tbfadt-725)
ACPI BIOS Warning (bug): Invalid length for FADT/PmTimerBlock: 8, using default 32 (20150515/tbfadt-725)
ioapic0: Changing APIC ID to 4
ioapic0 <Version 2.0> irqs 0-23 on motherboard
random: <Software, Yarrow> initialized
kbd0 at kbdmux0
smbios0: <System Management BIOS> at iomem 0xf0be0-0xf0bfe on motherboard
smbios0: Version: 2.5, BCD Revision: 2.5
cryptosoft0: <software crypto> on motherboard
acpi0: <DELL FX09   > on motherboard
acpi0: Power Button (fixed)
cpu0: <ACPI CPU> on acpi0
cpu1: <ACPI CPU> on acpi0
attimer0: <AT timer> port 0x40-0x43 on acpi0
Timecounter "i8254" frequency 1193182 Hz quality 0
Event timer "i8254" frequency 1193182 Hz quality 100
hpet0: <High Precision Event Timer> iomem 0xfed00000-0xfed003ff irq 0,8 on acpi0
device_attach: hpet0 attach returned 12
atrtc0: <AT realtime clock> port 0x70-0x73 on acpi0
Event timer "RTC" frequency 32768 Hz quality 0
Timecounter "ACPI-fast" frequency 3579545 Hz quality 900
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x408-0x40b on acpi0
acpi_button0: <Power Button> on acpi0
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
pcib1: <PCI-PCI bridge> irq 16 at device 1.0 on pci0
pci1: <PCI bus> on pcib1
em0: <Intel(R) PRO/1000 Network Connection 7.4.2> port 0xcf00-0xcf1f mem 0xfdee0000-0xfdefffff,0xfdec0000-0xfdedffff irq 16 at device 0.0 on pci1
em0: Using an MSI interrupt
em0: Ethernet address: 00:15:17:85:7b:a2
em1: <Intel(R) PRO/1000 Network Connection 7.4.2> port 0xce00-0xce1f mem 0xfdea0000-0xfdebffff,0xfde80000-0xfde9ffff irq 17 at device 0.1 on pci1
em1: Using an MSI interrupt
em1: Ethernet address: 00:15:17:85:7b:a3
vgapci0: <VGA-compatible display> port 0xff00-0xff07 mem 0xfdf00000-0xfdf7ffff,0xd0000000-0xdfffffff,0xfdb00000-0xfdbfffff irq 16 at device 2.0 on pci0
agp0: <Intel G33 SVGA controller> on vgapci0
agp0: aperture size is 256M, detected 4194300k stolen memory
vgapci0: Boot video device
em2: <Intel(R) PRO/1000 Network Connection 7.4.2> port 0xfe00-0xfe1f mem 0xfdfc0000-0xfdfdffff,0xfdfff000-0xfdffffff irq 20 at device 25.0 on pci0
em2: Using an MSI interrupt
em2: Ethernet address: 00:21:9b:0b:a0:8c
uhci0: <Intel 82801I (ICH9) USB controller> port 0xfd00-0xfd1f irq 16 at device 26.0 on pci0
usbus0 on uhci0
uhci1: <Intel 82801I (ICH9) USB controller> port 0xfc00-0xfc1f irq 21 at device 26.1 on pci0
usbus1 on uhci1
uhci2: <Intel 82801I (ICH9) USB controller> port 0xfb00-0xfb1f irq 19 at device 26.2 on pci0
usbus2 on uhci2
ehci0: <Intel 82801I (ICH9) USB 2.0 controller> mem 0xfdffe000-0xfdffe3ff irq 18 at device 26.7 on pci0
usbus3: EHCI version 1.0
usbus3 on ehci0
uhci3: <Intel 82801I (ICH9) USB controller> port 0xfa00-0xfa1f irq 23 at device 29.0 on pci0
usbus4 on uhci3
uhci4: <Intel 82801I (ICH9) USB controller> port 0xf900-0xf91f irq 19 at device 29.1 on pci0
usbus5 on uhci4
uhci5: <Intel 82801I (ICH9) USB controller> port 0xf800-0xf81f irq 18 at device 29.2 on pci0
usbus6 on uhci5
ehci1: <Intel 82801I (ICH9) USB 2.0 controller> mem 0xfdffd000-0xfdffd3ff irq 23 at device 29.7 on pci0
usbus7: EHCI version 1.0
usbus7 on ehci1
pcib2: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pci2: <ACPI PCI bus> on pcib2
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <Intel ICH9 SATA300 controller> port 0xf700-0xf707,0xf600-0xf603,0xf500-0xf507,0xf400-0xf403,0xf300-0xf30f,0xf200-0xf20f irq 19 at device 31.2 on pci0
ata2: <ATA channel> at channel 0 on atapci0
ata3: <ATA channel> at channel 1 on atapci0
ichsmb0: <Intel 82801I (ICH9) SMBus controller> port 0x500-0x51f mem 0xfdffc000-0xfdffc0ff irq 18 at device 31.3 on pci0
smbus0: <System Management Bus> on ichsmb0
smb0: <SMBus generic I/O> on smbus0
atapci1: <Intel ICH9 SATA300 controller> port 0xf000-0xf007,0xef00-0xef03,0xee00-0xee07,0xed00-0xed03,0xec00-0xec0f,0xeb00-0xeb0f irq 19 at device 31.5 on pci0
ata4: <ATA channel> at channel 0 on atapci1
ata5: <ATA channel> at channel 1 on atapci1
acpi_tz0: <Thermal Zone> on acpi0
ichwd0 on isa0
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
coretemp0: <CPU On-Die Thermal Sensors> on cpu0
est0: <Enhanced SpeedStep Frequency Control> on cpu0
coretemp1: <CPU On-Die Thermal Sensors> on cpu1
est1: <Enhanced SpeedStep Frequency Control> on cpu1
Timecounters tick every 1.000 msec
IPsec: Initialized Security Association Processing.
random: unblocking device.
usbus0: 12Mbps Full Speed USB v1.0
usbus1: 12Mbps Full Speed USB v1.0
usbus2: 12Mbps Full Speed USB v1.0
usbus3: 480Mbps High Speed USB v2.0
usbus4: 12Mbps Full Speed USB v1.0
usbus5: 12Mbps Full Speed USB v1.0
usbus6: 12Mbps Full Speed USB v1.0
usbus7: 480Mbps High Speed USB v2.0
ugen0.1: <Intel> at usbus0
uhub0: <Intel UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus0
ugen1.1: <Intel> at usbus1
uhub1: <Intel UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus1
ugen2.1: <Intel> at usbus2
uhub2: <Intel UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus2
ugen3.1: <Intel> at usbus3
uhub3: <Intel EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus3
ugen4.1: <Intel> at usbus4
uhub4: <Intel UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus4
ugen6.1: <Intel> at usbus6
uhub5: <Intel UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus6
ugen5.1: <Intel> at usbus5
uhub6: <Intel UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus5
ugen7.1: <Intel> at usbus7
uhub7: <Intel EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus7
uhub0: 2 ports with 2 removable, self powered
uhub1: 2 ports with 2 removable, self powered
uhub2: 2 ports with 2 removable, self powered
uhub4: 2 ports with 2 removable, self powered
uhub5: 2 ports with 2 removable, self powered
uhub6: 2 ports with 2 removable, self powered
ada0 at ata2 bus 0 scbus0 target 0 lun 0
ada0: <ST380815AS 4.ADA> ATA-7 SATA 2.x device
ada0: Serial Number 5RW48EHG
ada0: 300.000MB/s transfers (SATA 2.x, UDMA5, PIO 8192bytes)
ada0: 76293MB (156250000 512 byte sectors)
ada0: Previously was known as ad0
ada1 at ata3 bus 0 scbus1 target 0 lun 0
ada1: <ST380815AS 4.ADA> ATA-7 SATA 2.x device
ada1: Serial Number 5RW475QJ
ada1: 300.000MB/s transfers (SATA 2.x, UDMA5, PIO 8192bytes)
ada1: 76293MB (156250000 512 byte sectors)
ada1: Previously was known as ad1
pass2 at ata4 bus 0 scbus2 target 0 lun 0
pass2: <TSSTcorp DVD+-RW TS-H653F D200> Removable CD-ROM SCSI device
pass2: 150.000MB/s transfers (SATA 1.x, UDMA5, ATAPI 12bytes, PIO 8192bytes)
GEOM_RAID: Intel-29b44d78: Array Intel-29b44d78 created.
GEOM_RAID: Intel-29b44d78: Disk ada0 state changed from NONE to ACTIVE.
GEOM_RAID: Intel-29b44d78: Subdisk Volume0:0-ada0 state changed from NONE to ACTIVE.
GEOM_RAID: Intel-29b44d78: Disk ada1 state changed from NONE to ACTIVE.
GEOM_RAID: Intel-29b44d78: Subdisk Volume0:1-ada1 state changed from NONE to ACTIVE.
GEOM_RAID: Intel-29b44d78: Array started.
GEOM_RAID: Intel-29b44d78: Volume Volume0 state changed from STARTING to OPTIMAL.
GEOM_RAID: Intel-29b44d78: Provider raid/r0 for volume Volume0 created.
SMP: AP CPU #1 Launched!
Timecounter "TSC-low" frequency 1263526529 Hz quality 1000
hwpmc: SOFT/16/64/0x67<INT,USR,SYS,REA,WRI> TSC/1/64/0x20<REA> IAP/2/40/0x3ff<INT,USR,SYS,EDG,THR,REA,WRI,INV,QUA,PRC> IAF/3/40/0x67<INT,USR,SYS,REA,WRI>
Root mount waiting for: usbus7 usbus3
uhub3: 6 ports with 6 removable, self powered
uhub7: 6 ports with 6 removable, self powered
Trying to mount root from ufs:/dev/raid/r0s1a [rw]...
ukbd0: <Dell Dell USB Keyboard, class 0/0, rev 1.10/3.01, addr 2> on usbus5
kbd1 at ukbd0
...<5>em0: link state changed to UP
 got link
em1: link state changed to UP
ipfw2 (+ipv6) initialized, divert loadable, nat loadable, default to deny, logging disabled
DUMMYNET 0 with IPv6 initialized (100409)
load_dn_sched dn_sched FIFO loaded
load_dn_sched dn_sched QFQ loaded
load_dn_sched dn_sched RR loaded
load_dn_sched dn_sched WF2Q+ loaded
load_dn_sched dn_sched PRIO loaded
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2016-01-04 21:08:06 UTC
To make it clear, did this work properly in 10.1-STABLE?
Comment 2 Arcadiy Ivanov 2016-01-04 22:26:38 UTC
Yes, there where no problems before 10.2 upgrade.
Comment 3 John Baldwin freebsd_committer freebsd_triage 2016-01-05 16:38:51 UTC
Can you get pciconf -lv output from a working 10.1 kernel with the mode set to RAID?  I believe the devices use different device IDs depending on the BIOS setting, so the pciconf -lv output will differ for different BIOS settings.
Comment 4 John Baldwin freebsd_committer freebsd_triage 2016-01-05 16:43:04 UTC
Actually, I suspect that this change may be the issue:

https://svnweb.freebsd.org/base?view=revision&revision=287016

IIRC, there might be some Intel parts that support AHCI but don't advertise it via the progif config register.  In that case, we need to keep the old "force AHCI" bits in ata-intel.c instead.
Comment 5 John Baldwin freebsd_committer freebsd_triage 2016-01-05 16:43:38 UTC
And to be clear, having the pciconf -lv output from the older kernel with RAID mode enabled is still needed to determine if my theory is correct.
Comment 6 Arcadiy Ivanov 2016-01-05 21:45:30 UTC
Will do.
Comment 7 Alexander Motin freebsd_committer 2016-01-07 13:01:50 UTC
(In reply to John Baldwin from comment #4)
It is a good guess.  As I see, this system uses custom kernel config, so I would recommend to make sure that this config included `device ahci` line.
Comment 8 Arcadiy Ivanov 2016-01-08 09:43:55 UTC
Alexander nailed it on the head. Between 10.1 and 10.2 the AHCI has been removed from ada driver. It worked in 10.1 because it was actually there. Adding "device ahci" solved my problem.(In reply to Alexander Motin from comment #7)
Comment 9 Arcadiy Ivanov 2016-01-08 09:48:45 UTC
10.2 dmesg.boot

Copyright (c) 1992-2016 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 10.2-STABLE #0 r293336: Thu Jan  7 12:45:10 EST 2016
    admin@fw1.home.ivanovy.net:/usr/obj/usr/src/sys/FIREWALL amd64
FreeBSD clang version 3.4.1 (tags/RELEASE_34/dot1-final 208032) 20140512
CPU: Intel(R) Core(TM)2 Duo CPU     E7200  @ 2.53GHz (2527.05-MHz K8-class CPU)
  Origin="GenuineIntel"  Id=0x10676  Family=0x6  Model=0x17  Stepping=6
  Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=0x8e39d<SSE3,DTES64,MON,DS_CPL,EST,TM2,SSSE3,CX16,xTPR,PDCM,SSE4.1>
  AMD Features=0x20100800<SYSCALL,NX,LM>
  AMD Features2=0x1<LAHF>
  TSC: P-state invariant, performance statistics
real memory  = 1073741824 (1024 MB)
avail memory = 1020993536 (973 MB)
Event timer "LAPIC" quality 400
ACPI APIC Table: <DELL   FX09   >
FreeBSD/SMP: Multiprocessor System Detected: 2 CPUs
FreeBSD/SMP: 1 package(s) x 2 core(s)
 cpu0 (BSP): APIC ID:  0
 cpu1 (AP): APIC ID:  1
random device not loaded; using insecure entropy
ACPI BIOS Warning (bug): 32/64X length mismatch in FADT/Pm1aEventBlock: 32/8 (20150515/tbfadt-644)
ACPI BIOS Warning (bug): 32/64X length mismatch in FADT/Pm1aControlBlock: 16/8 (20150515/tbfadt-644)
ACPI BIOS Warning (bug): 32/64X length mismatch in FADT/PmTimerBlock: 32/8 (20150515/tbfadt-644)
ACPI BIOS Warning (bug): 32/64X length mismatch in FADT/Gpe0Block: 128/8 (20150515/tbfadt-644)
ACPI BIOS Warning (bug): Invalid length for FADT/Pm1aEventBlock: 8, using default 32 (20150515/tbfadt-725)
ACPI BIOS Warning (bug): Invalid length for FADT/Pm1aControlBlock: 8, using default 16 (20150515/tbfadt-725)
ACPI BIOS Warning (bug): Invalid length for FADT/PmTimerBlock: 8, using default 32 (20150515/tbfadt-725)
ioapic0: Changing APIC ID to 4
ioapic0 <Version 2.0> irqs 0-23 on motherboard
kbd0 at kbdmux0
random: <Software, Yarrow> initialized
smbios0: <System Management BIOS> at iomem 0xf0be0-0xf0bfe on motherboard
smbios0: Version: 2.5, BCD Revision: 2.5
cryptosoft0: <software crypto> on motherboard
acpi0: <DELL FX09   > on motherboard
acpi0: Power Button (fixed)
cpu0: <ACPI CPU> on acpi0
cpu1: <ACPI CPU> on acpi0
attimer0: <AT timer> port 0x40-0x43 on acpi0
Timecounter "i8254" frequency 1193182 Hz quality 0
Event timer "i8254" frequency 1193182 Hz quality 100
hpet0: <High Precision Event Timer> iomem 0xfed00000-0xfed003ff irq 0,8 on acpi0
device_attach: hpet0 attach returned 12
atrtc0: <AT realtime clock> port 0x70-0x73 on acpi0
Event timer "RTC" frequency 32768 Hz quality 0
Timecounter "ACPI-fast" frequency 3579545 Hz quality 900
acpi_timer0: <24-bit timer at 3.579545MHz> port 0x408-0x40b on acpi0
acpi_button0: <Power Button> on acpi0
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
pcib1: <PCI-PCI bridge> irq 16 at device 1.0 on pci0
pci1: <PCI bus> on pcib1
em0: <Intel(R) PRO/1000 Network Connection 7.4.2> port 0xdf00-0xdf1f mem 0xfdae0000-0xfdafffff,0xfdac0000-0xfdadffff irq 16 at device 0.0 on pci1
em0: Using an MSI interrupt
em0: Ethernet address: 00:15:17:85:7b:a2
em1: <Intel(R) PRO/1000 Network Connection 7.4.2> port 0xde00-0xde1f mem 0xfdaa0000-0xfdabffff,0xfda80000-0xfda9ffff irq 17 at device 0.1 on pci1
em1: Using an MSI interrupt
em1: Ethernet address: 00:15:17:85:7b:a3
vgapci0: <VGA-compatible display> port 0xff00-0xff07 mem 0xfdf00000-0xfdf7ffff,0xd0000000-0xdfffffff,0xfdc00000-0xfdcfffff irq 16 at device 2.0 on pci0
agp0: <Intel G33 SVGA controller> on vgapci0
agp0: aperture size is 256M, detected 4194300k stolen memory
vgapci0: Boot video device
em2: <Intel(R) PRO/1000 Network Connection 7.4.2> port 0xfe00-0xfe1f mem 0xfdfc0000-0xfdfdffff,0xfdfff000-0xfdffffff irq 20 at device 25.0 on pci0
em2: Using an MSI interrupt
em2: Ethernet address: 00:21:9b:0b:a0:8c
uhci0: <Intel 82801I (ICH9) USB controller> port 0xfd00-0xfd1f irq 16 at device 26.0 on pci0
usbus0 on uhci0
uhci1: <Intel 82801I (ICH9) USB controller> port 0xfc00-0xfc1f irq 21 at device 26.1 on pci0
usbus1 on uhci1
uhci2: <Intel 82801I (ICH9) USB controller> port 0xfb00-0xfb1f irq 19 at device 26.2 on pci0
usbus2 on uhci2
ehci0: <Intel 82801I (ICH9) USB 2.0 controller> mem 0xfdffe000-0xfdffe3ff irq 18 at device 26.7 on pci0
usbus3: EHCI version 1.0
usbus3 on ehci0
uhci3: <Intel 82801I (ICH9) USB controller> port 0xfa00-0xfa1f irq 23 at device 29.0 on pci0
usbus4 on uhci3
uhci4: <Intel 82801I (ICH9) USB controller> port 0xf900-0xf91f irq 19 at device 29.1 on pci0
usbus5 on uhci4
uhci5: <Intel 82801I (ICH9) USB controller> port 0xf800-0xf81f irq 18 at device 29.2 on pci0
usbus6 on uhci5
ehci1: <Intel 82801I (ICH9) USB 2.0 controller> mem 0xfdffd000-0xfdffd3ff irq 23 at device 29.7 on pci0
usbus7: EHCI version 1.0
usbus7 on ehci1
pcib2: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pci2: <ACPI PCI bus> on pcib2
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
ahci0: <Intel ICH8 AHCI SATA controller> port 0xf700-0xf707,0xf600-0xf603,0xf500-0xf507,0xf400-0xf403,0xf300-0xf31f mem 0xfdffc000-0xfdffc7ff irq 19 at device 31.2 on pci0
ahci0: AHCI v1.20 with 6 3Gbps ports, Port Multiplier supported
ahcich0: <AHCI channel> at channel 0 on ahci0
ahcich1: <AHCI channel> at channel 1 on ahci0
ahcich2: <AHCI channel> at channel 2 on ahci0
ahcich3: <AHCI channel> at channel 3 on ahci0
ahcich4: <AHCI channel> at channel 4 on ahci0
ahcich5: <AHCI channel> at channel 5 on ahci0
ahciem0: <AHCI enclosure management bridge> on ahci0
ichsmb0: <Intel 82801I (ICH9) SMBus controller> port 0x500-0x51f mem 0xfdffb000-0xfdffb0ff irq 18 at device 31.3 on pci0
smbus0: <System Management Bus> on ichsmb0
smb0: <SMBus generic I/O> on smbus0
acpi_tz0: <Thermal Zone> on acpi0
ichwd0 on isa0
orm0: <ISA Option ROMs> at iomem 0xcc000-0xcefff,0xcf000-0xd2fff on isa0
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
coretemp0: <CPU On-Die Thermal Sensors> on cpu0
est0: <Enhanced SpeedStep Frequency Control> on cpu0
coretemp1: <CPU On-Die Thermal Sensors> on cpu1
est1: <Enhanced SpeedStep Frequency Control> on cpu1
Timecounters tick every 1.000 msec
IPsec: Initialized Security Association Processing.
random: unblocking device.
usbus0: 12Mbps Full Speed USB v1.0
usbus1: 12Mbps Full Speed USB v1.0
usbus2: 12Mbps Full Speed USB v1.0
usbus3: 480Mbps High Speed USB v2.0
usbus4: 12Mbps Full Speed USB v1.0
usbus5: 12Mbps Full Speed USB v1.0
usbus6: 12Mbps Full Speed USB v1.0
usbus7: 480Mbps High Speed USB v2.0
ugen0.1: <Intel> at usbus0
uhub0: <Intel UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus0
ugen1.1: <Intel> at usbus1
uhub1: <Intel UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus1
ugen2.1: <Intel> at usbus2
uhub2: <Intel UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus2
ugen3.1: <Intel> at usbus3
uhub3: <Intel EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus3
ugen5.1: <Intel> at usbus5
uhub4: <Intel UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus5
ugen4.1: <Intel> at usbus4
uhub5: <Intel UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus4
ugen6.1: <Intel> at usbus6
uhub6: <Intel UHCI root HUB, class 9/0, rev 1.00/1.00, addr 1> on usbus6
ugen7.1: <Intel> at usbus7
uhub7: <Intel EHCI root HUB, class 9/0, rev 2.00/1.00, addr 1> on usbus7
ada0 at ahcich0 bus 0 scbus0 target 0 lun 0
ada0: <ST380815AS 4.ADA> ATA-7 SATA 2.x device
ada0: Serial Number 5RW48EHG
ada0: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada0: Command Queueing enabled
ada0: 76293MB (156250000 512 byte sectors)
ada0: Previously was known as ad0
ada1 at ahcich1 bus 0 scbus1 target 0 lun 0
ada1: <ST380815AS 4.ADA> ATA-7 SATA 2.x device
ada1: Serial Number 5RW475QJ
ada1: 300.000MB/s transfers (SATA 2.x, UDMA6, PIO 8192bytes)
ada1: Command Queueing enabled
ada1: 76293MB (156250000 512 byte sectors)
ada1: Previously was known as ad1
pass2 at ahcich4 bus 0 scbus4 target 0 lun 0
pass2: <TSSTcorp DVD+-RW TS-H653F D200> Removable CD-ROM SCSI device
pass2: 150.000MB/s transfers (SATA 1.x, UDMA5, ATAPI 12bytes, PIO 8192bytes)
pass3 at ahciem0 bus 0 scbus6 target 0 lun 0
pass3: <AHCI SGPIO Enclosure 1.00 0001> SEMB S-E-S 2.00 device
GEOM_RAID: Intel-29b44d78: Array Intel-29b44d78 created.
GEOM_RAID: Intel-29b44d78: Disk ada0 state changed from NONE to ACTIVE.
GEOM_RAID: Intel-29b44d78: Subdisk Volume0:0-ada0 state changed from NONE to ACTIVE.
GEOM_RAID: Intel-29b44d78: Disk ada1 state changed from NONE to ACTIVE.
GEOM_RAID: Intel-29b44d78: Subdisk Volume0:1-ada1 state changed from NONE to ACTIVE.
GEOM_RAID: Intel-29b44d78: Array started.
GEOM_RAID: Intel-29b44d78: Volume Volume0 state changed from STARTING to OPTIMAL.
GEOM_RAID: Intel-29b44d78: Provider raid/r0 for volume Volume0 created.
SMP: AP CPU #1 Launched!
hwpmc: SOFT/16/64/0x67<INT,USR,SYS,REA,WRI> TSC/1/64/0x20<REA> IAP/2/40/0x3ff<INT,USR,SYS,EDG,THR,REA,WRI,INV,QUA,PRC> IAF/3/40/0x67<INT,USR,SYS,REA,WRI>
Timecounter "TSC-low" frequency 1263524823 Hz quality 1000
Root mount waiting for: usbus7 usbus6 usbus5 usbus4 usbus3 usbus2 usbus1 usbus0
uhub2: 2 ports with 2 removable, self powered
uhub1: 2 ports with 2 removable, self powered
uhub4: 2 ports with 2 removable, self powered
uhub0: 2 ports with 2 removable, self powered
uhub6: 2 ports with 2 removable, self powered
uhub5: 2 ports with 2 removable, self powered
Root mount waiting for: usbus7 usbus3
Root mount waiting for: usbus7 usbus3
uhub3: 6 ports with 6 removable, self powered
uhub7: 6 ports with 6 removable, self powered
Trying to mount root from ufs:/dev/raid/r0s1a [rw]...
ukbd0: <Dell Dell USB Keyboard, class 0/0, rev 1.10/3.01, addr 2> on usbus5
kbd1 at ukbd0
.
 got link
em1: link state changed to UP
ipfw2 (+ipv6) initialized, divert loadable, nat loadable, default to deny, logging disabled
DUMMYNET 0 with IPv6 initialized (100409)
load_dn_sched dn_sched FIFO loaded
load_dn_sched dn_sched QFQ loaded
load_dn_sched dn_sched RR loaded
load_dn_sched dn_sched WF2Q+ loaded
load_dn_sched dn_sched PRIO loaded